# cspell:ignore ltlanguage
id: d7_taxonomy_term_localized_translation
label: Taxonomy localized term translations
migration_tags:
  - Drupal 7
  - Content
  - Multilingual
source:
  plugin: d7_term_localized_translation
  translations: true
process:
  # If you are using this file to build a custom migration consider removing
  # the tid field to allow incremental migrations.
  tid: tid
  # Use the language from the locales_target table.
  langcode: ltlanguage
  vid:
    plugin: migration_lookup
    migration: d7_taxonomy_vocabulary
    source: vid
  name:
    -
      plugin: callback
      source:
        - name_translated
        - name
      callable: array_filter
    -
      plugin: callback
      callable: current
  description:
    -
      plugin: callback
      source:
        - description_translated
        - description
      callable: array_filter
    -
      plugin: callback
      callable: current
destination:
  plugin: entity:taxonomy_term
  translations: true
migration_dependencies:
  required:
    - language
    - d7_taxonomy_term
  optional:
    - d7_language_content_taxonomy_vocabulary_settings
